View Issue Details

IDProjectCategoryView StatusLast Update
0000139Far Manager 1.7xEditorpublic2007-07-16 16:07
ReporterHaRTAssigned Tovskirdin 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version1.71 
Target VersionFixed in Version1.71 
Summary0000139: Нарушения с концами строк при Отмене
DescriptionФар запущен только с FarCmds и Visualizer (для диагностики); Visualizer включен, использование других раскрашивающих плагинов выключено (это несущественно — если оно тоже включено и загружен Colorer, то то же самое), включены также дифференцированный показ концов строк и показ конца файла.

1. far:macro post ShiftF4 CtrlY Enter Enter CtrlZ
Ожидаю: видеть только конец файла.
Вижу: конец файла и за ним второй символ конца строки.

2. far:macro post ShiftF4 CtrlY Enter 1 Enter Enter CtrlHome Tab CtrlZ
Ожидаю: у обеих строк видеть одинаковые концы.
Вижу: у первой строки Неопределённый конец строки.
Additional Informationhttp://forum.farmanager.com/viewtopic.php?p=11084#11084
TagsNo tags attached.
Build

Activities

vskirdin

2006-11-17 11:56

administrator   bugnote:0000312

Тыкс... что получилось - ХЗ.
Проверяем - http://farmanager.com/farbugs/mantis139.1.rar

DrKnS

2006-11-19 14:58

administrator   bugnote:0000314

А то, что этот билд (как и 2140 на форуме) валится при вызове XLat в редакторе - еще актуально или уже заметили?

alexy

2006-11-19 18:22

administrator   bugnote:0000315

Вот и полезли подземные камни. Открывай новый баг.

DrKnS

2006-11-20 01:32

administrator   bugnote:0000316

#249

HaRT

2006-11-22 16:45

reporter   bugnote:0000330

Last edited: 2006-11-22 16:47

Теперь схожая проблема при удалении строки:

3. far:macro post ShiftF4 CtrlY Enter Enter Enter Enter CtrlHome Del
Ожидаю: у обеих строк видеть одинаковые концы.
Вижу: у первой строки Неопределённый конец строки.

Far b.2142

alexy

2006-11-23 02:06

administrator   bugnote:0000331

Блин, написал плагин на свою голову. Fixed.
http://farmanager.com/farbugs/Far2143.rar

Issue History

Date Modified Username Field Change
2006-04-19 15:40 HaRT New Issue
2006-11-17 11:56 vskirdin Note Added: 0000312
2006-11-19 14:58 DrKnS Note Added: 0000314
2006-11-19 18:22 alexy Note Added: 0000315
2006-11-19 18:23 alexy Status new => assigned
2006-11-19 18:23 alexy Assigned To => vskirdin
2006-11-20 01:32 DrKnS Note Added: 0000316
2006-11-20 02:41 vskirdin Status assigned => resolved
2006-11-20 02:41 vskirdin Resolution open => fixed
2006-11-22 16:45 HaRT Status resolved => feedback
2006-11-22 16:45 HaRT Resolution fixed => reopened
2006-11-22 16:45 HaRT Note Added: 0000330
2006-11-22 16:47 HaRT Note Edited: 0000330
2006-11-23 02:06 alexy Note Added: 0000331
2006-11-23 02:11 alexy Status feedback => resolved
2006-11-23 02:11 alexy Resolution reopened => fixed
2006-11-23 02:11 alexy Fixed in Version => 1.71
2007-07-16 16:07 alexy Status resolved => closed